org.richfaces.renderkit

## Class AjaxFunctionRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AjaxCommandRendererBase
      - - org.richfaces.renderkit.AjaxFunctionRendererBase

- Direct Known Subclasses:
    AjaxFunctionRenderer

      public abstract class AjaxFunctionRendererBase
      extends AjaxCommandRendererBase

  Author:
    shura

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxFunctionRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase

      `doDecode, getOnClick, isSubmitted, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxFunctionRendererBase

          public AjaxFunctionRendererBase()

  - ### Method Detail

    - #### getFunction

          public String getFunction(javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.